Name:          guava
Version:       13.0
Release:       %mkrel 4
Summary:       Google Core Libraries for Java
License:       ASL 2.0 
URL:           http://code.google.com/p/guava-libraries
Group:         Development/Java
# git clone https://code.google.com/p/guava-libraries/
# (cd ./guava-libraries && git archive --format=tar --prefix=guava-%{version}/ v%{version}) | xz >guava-%{version}.tar.xz
Source0:       %{name}-%{version}.tar.xz

BuildRequires: java-devel >= 0:1.7.0
BuildRequires: mvn(org.sonatype.oss:oss-parent)

BuildRequires: maven-local
BuildRequires: maven-dependency-plugin

BuildRequires: mvn(com.google.code.findbugs:jsr305) >= 0-0.6.20090319svn
BuildRequires: ant

BuildArch:     noarch

%description
Guava is a suite of core and expanded libraries that include 
utility classes, Google's collections, io classes, and much 
much more.
This project is a complete packaging of all the Guava libraries
into a single jar.  Individual portions of Guava can be used
by downloading the appropriate module and its dependencies.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name '*.jar' -delete

%pom_disable_module guava-gwt
%pom_disable_module guava-testlib
%pom_disable_module guava-tests
%pom_remove_plugin :animal-sniffer-maven-plugin guava
%pom_remove_plugin :maven-gpg-plugin

%build

%mvn_file :%{name} %{name}
%mvn_alias :%{name} "com.google.collections:google-collections"
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc AUTHORS CONTRIBUTORS COPYING README*

%files javadoc -f .mfiles-javadoc
%doc COPYING



%changelog
* Mon Sep 23 2013 dmorgan <dmorgan> 13.0-4.mga4
+ Revision: 484337
- Build with xmvn

* Tue Jul 30 2013 joequant <joequant> 13.0-3.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 13.0-2.mga3
+ Revision: 352942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 13.0-1.mga3
+ Revision: 290821
- New version 13.0

* Mon Dec 12 2011 gil <gil> 09-1.mga2
+ Revision: 181044
- update to 09
  Obsoletes/Provides guava09
  added backward compatibility symlink
  maven build support

* Thu Jan 20 2011 dmorgan <dmorgan> 05-1.mga1
+ Revision: 25595
- Adapt to mageia
- imported package guava


* Wed Jul 14 2010 Hui wang <huwang@redhat.com> - 05-4
- Patch pom

* Fri Jun 18 2010 Hui Wang <huwang@redhat.com> - 05-3
- Fixed jar name in install section
- Removed spaces in description

* Thu Jun 17 2010 Hui Wang <huwang@redhat.com> - 05-2
- Fixed summary
- Fixed description
- Fixed creating symlink insturctions
- add depmap

* Thu Jun 10 2010 Hui Wang <huwang@redhat.com> - 05-1
- Initial version of the package